org.eclipse.core.commands

## Class CommandEvent

- java.lang.Object
- - org.eclipse.core.commands.common.AbstractBitSetEvent
  - - org.eclipse.core.commands.common.AbstractHandleObjectEvent
    - - org.eclipse.core.commands.common.AbstractNamedHandleEvent
      - - org.eclipse.core.commands.CommandEvent

    public final class CommandEvent
    extends AbstractNamedHandleEvent

An instance of this class describes changes to an instance of `Command`.

This class is not intended to be extended by clients.

Since:
  3.1
See Also:
  `ICommandListener.commandChanged(CommandEvent)`

### Field Summary

### Fields inherited from class org.eclipse.core.commands.common.AbstractNamedHandleEvent

`CHANGED_DESCRIPTION, CHANGED_NAME, LAST_USED_BIT`

### Fields inherited from class org.eclipse.core.commands.common.AbstractHandleObjectEvent

`CHANGED_DEFINED, LAST_BIT_USED_ABSTRACT_HANDLE`

### Fields inherited from class org.eclipse.core.commands.common.AbstractBitSetEvent

`changedValues`

### Constructor Summary

Constructors
Constructor and Description
`CommandEvent(Command command, boolean categoryChanged, boolean definedChanged, boolean descriptionChanged, boolean handledChanged, boolean nameChanged, boolean parametersChanged)` Creates a new instance of this class.
`CommandEvent(Command command, boolean categoryChanged, boolean definedChanged, boolean descriptionChanged, boolean handledChanged, boolean nameChanged, boolean parametersChanged, boolean returnTypeChanged)` Creates a new instance of this class.
`CommandEvent(Command command, boolean categoryChanged, boolean definedChanged, boolean descriptionChanged, boolean handledChanged, boolean nameChanged, boolean parametersChanged, boolean returnTypeChanged, boolean helpContextIdChanged)` Creates a new instance of this class.
`CommandEvent(Command command, boolean categoryChanged, boolean definedChanged, boolean descriptionChanged, boolean handledChanged, boolean nameChanged, boolean parametersChanged, boolean returnTypeChanged, boolean helpContextIdChanged, boolean enabledChanged)` Creates a new instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`Command` `getCommand()` Returns the instance of the interface that changed.
`boolean` `isCategoryChanged()` Returns whether or not the category property changed.
`boolean` `isEnabledChanged()` Return whether the enable property changed.
`boolean` `isHandledChanged()` Returns whether or not the handled property changed.
`boolean` `isHelpContextIdChanged()` Returns whether or not the help context identifier changed.
`boolean` `isParametersChanged()` Returns whether or not the parameters have changed.
`boolean` `isReturnTypeChanged()` Returns whether or not the return type property changed.

### Methods inherited from class org.eclipse.core.commands.common.AbstractNamedHandleEvent

`isDescriptionChanged, isNameChanged`

### Methods inherited from class org.eclipse.core.commands.common.AbstractHandleObjectEvent

`isDefinedChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommandEvent

    public CommandEvent(Command command,
                        boolean categoryChanged,
                        boolean definedChanged,
                        boolean descriptionChanged,
                        boolean handledChanged,
                        boolean nameChanged,
                        boolean parametersChanged)

Creates a new instance of this class.

Parameters:
  `command` - the instance of the interface that changed.
  `categoryChanged` - `true`, iff the category property changed.
  `definedChanged` - `true`, iff the defined property changed.
  `descriptionChanged` - `true`, iff the description property changed.
  `handledChanged` - `true`, iff the handled property changed.
  `nameChanged` - `true`, iff the name property changed.
  `parametersChanged` - `true` if the parameters have changed; `false` otherwise.

#### CommandEvent

    public CommandEvent(Command command,
                        boolean categoryChanged,
                        boolean definedChanged,
                        boolean descriptionChanged,
                        boolean handledChanged,
                        boolean nameChanged,
                        boolean parametersChanged,
                        boolean returnTypeChanged)

Creates a new instance of this class.

Parameters:
  `command` - the instance of the interface that changed.
  `categoryChanged` - `true`, iff the category property changed.
  `definedChanged` - `true`, iff the defined property changed.
  `descriptionChanged` - `true`, iff the description property changed.
  `handledChanged` - `true`, iff the handled property changed.
  `nameChanged` - `true`, iff the name property changed.
  `parametersChanged` - `true` if the parameters have changed; `false` otherwise.
  `returnTypeChanged` - `true` iff the return type property changed; `false` otherwise.
Since:
  3.2

#### CommandEvent

    public CommandEvent(Command command,
                        boolean categoryChanged,
                        boolean definedChanged,
                        boolean descriptionChanged,
                        boolean handledChanged,
                        boolean nameChanged,
                        boolean parametersChanged,
                        boolean returnTypeChanged,
                        boolean helpContextIdChanged)

Creates a new instance of this class.

Parameters:
  `command` - the instance of the interface that changed.
  `categoryChanged` - `true`, iff the category property changed.
  `definedChanged` - `true`, iff the defined property changed.
  `descriptionChanged` - `true`, iff the description property changed.
  `handledChanged` - `true`, iff the handled property changed.
  `nameChanged` - `true`, iff the name property changed.
  `parametersChanged` - `true` if the parameters have changed; `false` otherwise.
  `returnTypeChanged` - `true` iff the return type property changed; `false` otherwise.
  `helpContextIdChanged` - `true` iff the help context identifier changed; `false` otherwise.
Since:
  3.2

#### CommandEvent

    public CommandEvent(Command command,
                        boolean categoryChanged,
                        boolean definedChanged,
                        boolean descriptionChanged,
                        boolean handledChanged,
                        boolean nameChanged,
                        boolean parametersChanged,
                        boolean returnTypeChanged,
                        boolean helpContextIdChanged,
                        boolean enabledChanged)

Creates a new instance of this class.

Parameters:
  `command` - the instance of the interface that changed.
  `categoryChanged` - `true`, iff the category property changed.
  `definedChanged` - `true`, iff the defined property changed.
  `descriptionChanged` - `true`, iff the description property changed.
  `handledChanged` - `true`, iff the handled property changed.
  `nameChanged` - `true`, iff the name property changed.
  `parametersChanged` - `true` if the parameters have changed; `false` otherwise.
  `returnTypeChanged` - `true` iff the return type property changed; `false` otherwise.
  `helpContextIdChanged` - `true` iff the help context identifier changed; `false` otherwise.
  `enabledChanged` - `true` iff the comand enablement changed; `false` otherwise.
Since:
  3.3

### Method Detail

#### getCommand

    public final Command getCommand()

Returns the instance of the interface that changed.

Returns:
  the instance of the interface that changed. Guaranteed not to be `null`.

#### isCategoryChanged

    public final boolean isCategoryChanged()

Returns whether or not the category property changed.

Returns:
  `true`, iff the category property changed.

#### isHandledChanged

    public final boolean isHandledChanged()

Returns whether or not the handled property changed.

Returns:
  `true`, iff the handled property changed.

#### isHelpContextIdChanged

    public final boolean isHelpContextIdChanged()

Returns whether or not the help context identifier changed.

Returns:
  `true`, iff the help context identifier changed.
Since:
  3.2

#### isParametersChanged

    public final boolean isParametersChanged()

Returns whether or not the parameters have changed.

Returns:
  `true`, iff the parameters property changed.

#### isReturnTypeChanged

    public final boolean isReturnTypeChanged()

Returns whether or not the return type property changed.

Returns:
  `true`, iff the return type property changed.
Since:
  3.2

#### isEnabledChanged

    public final boolean isEnabledChanged()

Return whether the enable property changed.

Returns:
  `true` iff the comand enablement changed
Since:
  3.3